| The Gaudi Framework v32r1 (f65d50dc)

Classes | Public Member Functions | List of all members
Gaudi::Parsers::NodeOperations Struct Referencefinal

`#include <src/JobOptionsSvc/Node.h>`

## Classes
struct | value

## Public Member Functions
void | operator() (Node &node, Node::NodeType type) const
void | operator() (Node &node, Node child) const
void | operator() (Node &node, std::string val) const
void | operator() (Node &node, boost::iterator_range< Iterator > range) const
void | operator() (Node &node, bool val) const
void | operator() (Node &node, const Iterator &iter) const

## Detailed Description

Definition at line 69 of file Node.h.

## Member Function Documentation

## ◆ operator()() [1/6]

void Gaudi::Parsers::NodeOperations::operator() | ( | Node & | node,
|  | Node::NodeType | type
| ) |  | const
| inline

Definition at line 72 of file Node.h.

72 { node.type = type; }
gaudirun.type
type
Definition: gaudirun.py:142

## ◆ operator()() [2/6]

void Gaudi::Parsers::NodeOperations::operator() | ( | Node & | node,
|  | Node | child
| ) |  | const
| inline

Definition at line 74 of file Node.h.

74 { node.children.push_back( std::move( child ) ); }
std::move
T move(T... args)

## ◆ operator()() [3/6]

void Gaudi::Parsers::NodeOperations::operator() | ( | Node & | node,
|  | std::string | val
| ) |  | const
| inline

Definition at line 76 of file Node.h.

76 { node.value = std::move( val ); }
std::move
T move(T... args)

## ◆ operator()() [4/6]

void Gaudi::Parsers::NodeOperations::operator() | ( | Node & | node,
|  | boost::iterator_range< Iterator > | range
| ) |  | const
| inline

Definition at line 78 of file Node.h.

78 {
79 node.value = boost::copy_range<std::string>( range );
80 }
Gaudi::range
NamedRange_< CONTAINER > range(const CONTAINER &cnt, std::string name)
simple function to create the named range from arbitrary container
Definition: NamedRange.h:118

## ◆ operator()() [5/6]

void Gaudi::Parsers::NodeOperations::operator() | ( | Node & | node,
|  | bool | val
| ) |  | const
| inline

Definition at line 82 of file Node.h.

82 { node.value = val ? "1" : "0"; }

## ◆ operator()() [6/6]

void Gaudi::Parsers::NodeOperations::operator() | ( | Node & | node,
|  | const Iterator & | iter
| ) |  | const
| inline

Definition at line 84 of file Node.h.

84 {
85 const IteratorPosition& pos = iter.get_position();
86 node.position = Position( pos.file, pos.line, pos.column );
87 }
IteratorPosition
boost::spirit::classic::file_position_base< std::string > IteratorPosition
Definition: Iterator.h:19

The documentation for this struct was generated from the following file:

- GaudiCoreSvc/src/JobOptionsSvc/Node.h